Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Release Stable with patched ckeditor
#26
How many people are using this, do we want to push this up to a newer release than 3.3 ?

ck3 is just so outdated for modern html5 websites. I feel like this needs to be a priority and not hold off for a point release.

or are you guys ok with continuing to use this special branch ?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#27
>ck3 is just so outdated for modern html5 websites. I feel like this needs to be a priority
agree, and i guess really users are using the special branch now, where many could benefit from the newer editor.
Reply
#28
I meant 3.3, doh

My only concern is that we do not break plugins in a non point release.
And it is different enough that it could. So more testing will be needed with plugins that have editors, and peoples configs with styles, templates and custom plugins.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#29
News Manager doesn't seem to have problems with this change.
Reply
#30
Hello,
I came on this thread because of an issue with IE10 and Ckeditor 3.6.2.

After my IE7 PC automatically updated itself with IE10 I had numerous issues with updating all my customers websites - the biggest one being the ENTER key no longer worked???

After investigating the issue I found out that CKeditor 3.6.2 was the culprit and that led me to this thread because even the current stable version of GS still has CKeditor 3.6.2.

Anyway after downloading your latest patched version which included Ckeditor 4.1.1 I came across the following issue. Just thought I'd let you guys know in case you were not already aware of it.

Using your unaltered download I opened up the only page available and made a text change (so the message "Page has unsaved changes" displays).

Then I clicked on the "Insert Image" icon and clicked on Browse.
An error window appears that said "Are you sure you want to leave this page". It's the normal one that comes up when you made some changes and then want to navigate to another tab etc.

It doesn't seem to matter the choice you select (Leave or Stay) as you are then able to insert an image OK.

The same error appears when the "Link" icon is chosen and you choose an existing page to Link to. Same error appears.

This seems to only happen in IE 10 I believe.
It would interesting to see if you could replicate this issue.

Apparently there is some JS script that can be entered in the config.js file to stop the "Insert Image" message appearing but the "Link" icon message still appears - Seems like a workaround rather than a fix anyway.

Anyway, THANKS heaps for creating this special branch of GS - it really saved my bacon as customers with Win8 and IE10 was starting to call me because they could not modify their website.
Reply
#31
I do not have ie10, can some one else test this on ie10 with cke patched branch?
And give some js error info.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#32
error confirmed, i'm trying to guess how the developer tools js console work in ie. By the way, 2 errors found in edit.php, but i guess those are not relevant with the popup.

HTML1407: Invalid tag name. First character should match [a-zA-Z].
edit.php, line 96 character 35
Meta Description has 155 characters remaining
SEC7115: :visited and :link styles can only differ by color. Some styles were not applied to :visited.
edit.php

where line 96 is
<option selected value="" >< No Parent ></option><option value="index" >index</option><option value=......</option> </select>


With char 35 being the white space at the start of < No Parent
Reply
#33
Yeah validation errors are hardly relevant.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#34
Hi Guys,

Just wondering where to from here regarding this error. Is it in the too hard basket or is it still under investigation?

It's no biggie but I'm sure will surface again as ie10 gets more popular Smile
Reply
#35
I still have no technical information about the error, perhaps ck 4.1.3 or 4.2 will fix this, or there is a patch already for it, has anyone checked cke known issues ?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#36
I have IE10 now, I will test

F12 in IE should show console, or install firebug lite.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#37
It appears that ckeditors popup event bubble up to the main window, executing the onbeforeunload event. Which makes no sense.

see
http://dev.ckeditor.com/ticket/9958

Ill try to implement a workaround.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#38
I checked in a fix for this, try it out.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#39
Hi Shawn,

Yes, I have downloaded the latest stable version and no popup appears when inserting links or images. Great job Shawn Smile

Would you mind letting me know what workaround you implemented to fix this. I have a few sites with this issue and it might be easier to make the code change rather than replace the whole ADMIN folder as I have a few custom changes in there as well. - Thanks
Reply
#40
Well I'll be merging in 3.2.2 soon when it gets released,so you might want to upgrade anyway.
You can check the commits for the patch cke branch on github to see the diff.

And you should not modify core files. Smile
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#41
Thanks Shawn. I thought CKE 4.1 would be merged in with 3.3 but putting it in earlier is great.

I know modifying the core file is dangerous but it's only aesthetic small stuff and fully documented Smile (famous last words)
Reply
#42
You read that backwards, merging 3.2.2 into cke branch not vice versa.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#43
Merged stable (3.2.2) into this branch.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#44
Hey,
Just wondering if there is any plans to upgrade to ckeditor 4.3 - Don't know much about it and maybe still buggy as it's pretty much brand new but it seems to have some handy plugins and the blurb makes it an important release with the introduction of Widgets etc.

By the way what version of CKeditor is going to be released with GS3.3 or is it still flexible?

Thanks
Reply
#45
I will get this branch fixed up to 3.3.0 soon
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#46
Updated branch
https://github.com/GetSimpleCMS/GetSimpleCMS/issues/743

Untested, feel free to help.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#47
Would I be right to say that to upgrade an existing GS install (from 3.2.2 cke 4.1) is to replace the ADMIN folder?

Is there any other files / changes that need to be done to upgrade to this latest branch.
Reply
#48
index.php
admin

themes and plugin if you care about those fixes
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#49
when will be new ckeditor merged to stable GS ? It's sometimes slower when loading editor but definitely must have
Reply
#50
The cke patch is the same as stable, so its fine to use.
It won't be in stable until 3.4 probably.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply




Users browsing this thread: 1 Guest(s)
Free HDTV Channels Residential Solar Panels